Get Domain
Retrieve a single domain by ID, including its DNS records and verification status.
GET
/domains/{domain_id}Resend Compatibility: Compatible
Requires a full_access API key.
Path Parameters
domain_idstringrequiredThe ID of the domain to retrieve.
Response Fields
objectstringAlways "domain".
idstringThe domain ID.
namestringThe domain name.
statusstringVerification status (pending or verified).
created_atstringISO 8601 timestamp.
recordsarrayArray of DNS records with their verification status.
curl -X GET 'https://api.postflare.app/domains/d91cd9bd-1176-453e-8fc1-35364d380206' \
-H 'Authorization: Bearer re_xxxxxxxxx'import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.domains.get(
'd91cd9bd-1176-453e-8fc1-35364d380206'
);Response
{
"object": "domain",
"id": "d91cd9bd-1176-453e-8fc1-35364d380206",
"name": "example.com",
"status": "verified",
"created_at": "2026-01-01T00:00:00.000Z",
"records": [
{
"type": "SPF",
"name": "example.com",
"value": "v=spf1 include:_spf.postflare.com ~all",
"status": "verified",
"priority": null
},
{
"type": "DKIM",
"name": "postflare._domainkey.example.com",
"value": "v=DKIM1; k=rsa; p=MIGf...",
"status": "verified",
"priority": null
},
{
"type": "DMARC",
"name": "_dmarc.example.com",
"value": "v=DMARC1; p=none; rua=mailto:dmarc@postflare.com",
"status": "verified",
"priority": null
}
]
}